VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser:

## Avaliable Methods
public method | get_authentication ()
public method | set_engineid ()
public method | get_engineid ()
public method | set_auth_key ()
public method | set_username ()
public method | set_authentication ()
public method | set_privacy ()
public method | get_sec_level ()
public method | get_privacy ()
public method | get_username ()
public method | set_sec_level ()
public method | get_auth_key ()
public method | get_priv_key ()
public method | new ()
public method | set_priv_key ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser` class Structure that defines a user at particular remote SNMPv3 entity needed when using informs. auth_key and priv_key contained localized keys as defined in http://tools.ietf.org/html/rfc3826#section-1.2.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::get_auth_key | ( |  | ) |

Gets the value of 'auth_key' property.

Return values

  auth_key | - The current value of the field. SNMP authorization key String#

Code:
click to view
# Number of lines of code in get_auth_key: 4
sub get_auth_key {
my ($self, %args) = @_;
return $self->{'auth_key'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::get_authentication | ( |  | ) |

Gets the value of 'authentication' property.

Return values

  authentication | - The current value of the field. SNMP authorization protocol SNMPAuthProto#

Code:
click to view
# Number of lines of code in get_authentication: 4
sub get_authentication {
my ($self, %args) = @_;
return $self->{'authentication'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::get_engineid | ( |  | ) |

Gets the value of 'engineid' property.

Return values

  engineid | - The current value of the field. SNMP v3 engine id String#

Code:
click to view
# Number of lines of code in get_engineid: 4
sub get_engineid {
my ($self, %args) = @_;
return $self->{'engineid'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::get_priv_key | ( |  | ) |

Gets the value of 'priv_key' property.

Return values

  priv_key | - The current value of the field. SNMP privacy key String#

Code:
click to view
# Number of lines of code in get_priv_key: 4
sub get_priv_key {
my ($self, %args) = @_;
return $self->{'priv_key'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::get_privacy | ( |  | ) |

Gets the value of 'privacy' property.

Return values

  privacy | - The current value of the field. SNMP privacy protocol SNMPPrivProto#

Code:
click to view
# Number of lines of code in get_privacy: 4
sub get_privacy {
my ($self, %args) = @_;
return $self->{'privacy'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::get_sec_level | ( |  | ) |

Gets the value of 'sec_level' property.

Return values

  sec_level | - The current value of the field. SNMP security level SNMPSecLevel#

Code:
click to view
# Number of lines of code in get_sec_level: 4
sub get_sec_level {
my ($self, %args) = @_;
return $self->{'sec_level'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::get_username | ( |  | ) |

Gets the value of 'username' property.

Return values

  username | - The current value of the field. SNMP Username String#

Code:
click to view
# Number of lines of code in get_username: 4
sub get_username {
my ($self, %args) = @_;
return $self->{'username'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 28
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{username} = $args{'username'};
$self->{sec_level} = $args{'sec_level'};
$self->{authentication} = $args{'authentication'};
$self->{auth_key} = $args{'auth_key'};
$self->{privacy} = $args{'privacy'};
$self->{priv_key} = $args{'priv_key'};
$self->{engineid} = $args{'engineid'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.monitoring.snmp.SNMP_remote_user');
$self->set_binding_field('key' => 'username', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'sec_level', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Monitoring', 'type_name' => 'Snmp::SNMPSecLevel'));
$self->set_binding_field('key' => 'authentication', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Monitoring', 'type_name' => 'Snmp::SNMPAuthProto'));
$self->set_binding_field('key' => 'auth_key', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'privacy', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Monitoring', 'type_name' => 'Snmp::SNMPPrivProto'));
$self->set_binding_field('key' => 'priv_key', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'engineid', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::set_auth_key | ( |  | ) |

Sets the given value for 'auth_key' property.

Parameters

  auth_key | - New value for the field. SNMP authorization key

Code:
click to view
# Number of lines of code in set_auth_key: 5
sub set_auth_key {
my ($self, %args) = @_;
$self->{'auth_key'} = $args{'auth_key'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::set_authentication | ( |  | ) |

Sets the given value for 'authentication' property.

Parameters

  authentication | - New value for the field. SNMP authorization protocol

Code:
click to view
# Number of lines of code in set_authentication: 5
sub set_authentication {
my ($self, %args) = @_;
$self->{'authentication'} = $args{'authentication'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::set_engineid | ( |  | ) |

Sets the given value for 'engineid' property.

Parameters

  engineid | - New value for the field. SNMP v3 engine id

Code:
click to view
# Number of lines of code in set_engineid: 5
sub set_engineid {
my ($self, %args) = @_;
$self->{'engineid'} = $args{'engineid'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::set_priv_key | ( |  | ) |

Sets the given value for 'priv_key' property.

Parameters

  priv_key | - New value for the field. SNMP privacy key

Code:
click to view
# Number of lines of code in set_priv_key: 5
sub set_priv_key {
my ($self, %args) = @_;
$self->{'priv_key'} = $args{'priv_key'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::set_privacy | ( |  | ) |

Sets the given value for 'privacy' property.

Parameters

  privacy | - New value for the field. SNMP privacy protocol

Code:
click to view
# Number of lines of code in set_privacy: 5
sub set_privacy {
my ($self, %args) = @_;
$self->{'privacy'} = $args{'privacy'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::set_sec_level | ( |  | ) |

Sets the given value for 'sec_level' property.

Parameters

  sec_level | - New value for the field. SNMP security level

Code:
click to view
# Number of lines of code in set_sec_level: 5
sub set_sec_level {
my ($self, %args) = @_;
$self->{'sec_level'} = $args{'sec_level'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPRemoteUser::set_username | ( |  | ) |

Sets the given value for 'username' property.

Parameters

  username | - New value for the field. SNMP Username

Code:
click to view
# Number of lines of code in set_username: 5
sub set_username {
my ($self, %args) = @_;
$self->{'username'} = $args{'username'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Monitoring/Snmp.pm